import { FormConfig } from "/@/components/PageSearch";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "date",
      type: "date_picker",
      trigger: "change",
      otherOptions: {
        type: "daterange",
        startPlaceholder: "议价开始时间",
        endPlaceholder: "议价结束时间",
        valueFormat: "YYYY-MM-DD",
        startProp: "start_date",
        endProp: "end_date"
      }
    }
  ]
};

export default searchFormConfig;
