import { FormConfig } from "/@/components/PageSearch";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "date",
      type: "date_picker",
      trigger: "change",
      otherOptions: {
        type: "daterange",
        startPlaceholder: "竞价开始时间",
        endPlaceholder: "竞价结束时间",
        valueFormat: "YYYY-MM-DD",
        startProp: "start_date",
        endProp: "end_date"
      }
    },
    {
      field: "use_desc",
      type: "input",
      trigger: "change",
      placeholder: "产品用途"
    }
  ]
};

export default searchFormConfig;
