import { FormConfig } from "/@/components/PageSearch";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "order_timer",
      type: "date_picker",
      trigger: "change",
      otherOptions: {
        type: "daterange",
        endProp: "end_date",
        startProp: "start_date",
        startPlaceholder: "竞价开始时间",
        endPlaceholder: "竞价结束时间"
      }
    }
  ]
};

export default searchFormConfig;
