import { FormConfig } from "/@/components/PageSearch";
import { useUserStore } from "/@/store/modules/user";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "date",
      type: "date_composition",
      trigger: "change",
      defaultValue: '2024'
    },
    {
      field: 'companyNo',
      type: 'business-query',
      trigger: 'change'
    }
  ]
};

export default searchFormConfig;
