import { FormConfig } from "/@/components/PageSearch";
import { useUserStore } from "/@/store/modules/user";

import dayjs from "dayjs"


const newDate = dayjs(new Date()).format('YYYY-MM')


console.log(newDate, '---')

const searchFormConfig: FormConfig = {
  defaultMode: 'month',
  formItems: [
    {
      field: "date",
      type: "date_composition",
      trigger: "change",
      defaultValue: newDate
      // span: 8
    },
    {
      field: 'companyNo',
      type: 'business-query',
      trigger: 'change',
      noRest: true
    },
    {
      field: "depart_id",
      type: "depart-query",
      trigger: "change"
    }
  ]
};

export default searchFormConfig;
