/* eslint-disable prettier/prettier */
import { ContentConfig } from "/@/components/PageContent";
import apis from "./apis";

const columns = [
  {
    prop: 'zxNo',
    label: '竞价订单号',
    minWidth: '155px'
  },
  // {
  //   prop: 'relaComNo',
  //   label: '业务公司编码',
  //   minWidth: '155px'
  // },
  // {
  //   prop: 'relaComName',
  //   label: '业务公司名称',
  //   minWidth: '165px'
  // },
  {
    prop: 'good_name',
    label: '商品名称',
    minWidth: '155px'
  },
  {
    prop: 'num',
    label: '需求数量',
    minWidth: '155px'
  },
  {
    prop: 'khName',
    label: '客户名称',
    minWidth: '155px'
  },
  {
    prop: 'creater',
    label: '创建人',
    minWidth: '155px'
  },
  {
    prop: 'depart',
    label: '创建人所在部门',
    minWidth: '155px'
  },
  {
    prop: 'addtime',
    label: '创建时间',
    minWidth: '155px'
  },
  {
    prop: 'endtime',
    label: '截止时间',
    minWidth: '155px'
  },
  {
    prop: 'updatetime',
    label: '结束时间',
    minWidth: '155px'
  },
  {
    prop: 'status',
    label: '状态',
    minWidth: '155px'
  }
]


const contentConfig: ContentConfig = {
  columns,
  showTitle: false,
  responseCode: 1,
  superUserNoAction: false,
  apis: { httpList: apis.list }
};


export default contentConfig;
