/* eslint-disable prettier/prettier */
import { ContentConfig } from "/@/components/PageContent";
import apis from "./apis";

const columns = [
  {
    prop: 'addtime',
    label: '下单时间',
    minWidth: '155px'
  },
  {
    prop: 'orderCode',
    label: '订单编号',
    minWidth: '155px'
  },
  {
    prop: 'order_type',
    label: '商品类型',
    width: '100px',
    _slot_: 'order_type'
  },
  {
    prop: 'cgdNo',
    label: '采购单编号',
    minWidth: '155px'
  },
  {
    prop: 'companyNo',
    label: '业务公司编码',
    minWidth: '155px'
  },
  {
    prop: 'companyName',
    label: '业务公司名称',
    minWidth: '165px'
  },
  {
    prop: 'company',
    label: '公司名称',
    minWidth: '155px'
  },
  {
    prop: 'apply_name',
    label: '申请人',
    minWidth: '155px'
  },
  {
    prop: 'apply_company',
    label: '部门',
    minWidth: '155px'
  },
  {
    prop: 'status',
    label: '状态',
    minWidth: '155px'
  },
  {
    prop: 'send_num',
    label: '出库总数',
    minWidth: '155px'
  },
  {
    prop: 'cat',
    label: '商品分类',
    minWidth: '155px'
  },
  {
    prop: 'good_code',
    label: '商品编码',
    minWidth: '155px'
  },
  {
    prop: 'good_name',
    label: '商品名称',
    minWidth: '155px'
  },
  {
    prop: 'apply_company',
    label: '客户名称',
    minWidth: '155px'
  },
  {
    prop: 'wsend_num',
    label: '未发货数量',
    minWidth: '155px'
  },
  {
    prop: 'send_date',
    label: '应发货日期',
    minWidth: '155px'
  }
]


const contentConfig: ContentConfig = {
  columns,
  showTitle: false,
  responseCode: 1,
  superUserNoAction: false,
  apis: { httpList: apis.list }
};


export default contentConfig;
