/* eslint-disable prettier/prettier */
import { ContentConfig } from "/@/components/PageContent";
import apis from "./apis";

const columns = [
  {
    prop: 'addtime',
    label: '录入供应商时间',
    minWidth: '155px'
  },
  {
    prop: 'name',
    label: '供应商名称',
    minWidth: '155px'
  },
  {
    prop: 'company_name',
    label: '采购维护人所属部门',
    minWidth: '155px'
  },
  {
    prop: 'creater',
    label: '采购维护人',
    minWidth: '155px'
  },
  {
    prop: 'nature',
    label: '供应商性质',
    minWidth: '155px'
  },
  {
    prop: 'source',
    label: '供应商来源',
    minWidth: '155px'
  },
  {
    prop: 'pay_type',
    label: '支付方式',
    minWidth: '125px'
  },
  {
    prop: 'delivery_way',
    label: '发货方式',
    minWidth: '155px'
  },
  {
    prop: 'updatetime',
    label: '修改供应商时间',
    minWidth: '155px'
  }
]


const contentConfig: ContentConfig = {
  columns,
  showTitle: false,
  responseCode: 1,
  superUserNoAction: false,
  apis: { httpList: apis.list }
};


export default contentConfig;
