import { http } from "/@/utils/http";
import { loadEnv } from "@build/index";
const { VITE_PROXY_DOMAIN_REAL, VITE_PROXY_USER_REAL } = loadEnv();
const userAPi = VITE_PROXY_DOMAIN_REAL;

const yewuApi = VITE_PROXY_DOMAIN_REAL + "/admin/Everyday/";
interface ResponseType extends Promise<any> {
  data?: object;
  code?: number;
  msg?: string;
}

export const httpZXOrder = (data: object = {}): ResponseType => {
  return http.request("post", `http://rep.report.caixiao365.com/admin/Everyday/EveryCompanyDay`, { data });
};


export const httpBidOrder = (data: object = {}): ResponseType => {
  return http.request("post", `http://rep.report.caixiao365.com/admin/Everyday/EveryCompanyDay`, { data });
};


export const httpCompanyWD = (data: object = {}): ResponseType => {
  return http.request("post", `http://rep.report.caixiao365.com/admin/Everyday/EveryCompanyDay`, { data });
};



export const httpUserWD = (data: object = {}): ResponseType => {
  return http.request("post", `http://rep.report.caixiao365.com/admin/accountInv/list`, { data });
};


export const httpCompanyYearWD = (data: object = {}): ResponseType => {
  return http.request("post", `http://rep.report.caixiao365.com/admin/Everyday/EveryCompanyMonth`, { data });
};

export const httpUsers = (data: object = {}): ResponseType => {
  return http.request("post", `http://rep.report.caixiao365.com/admin/accountInv/getUser`, { data });
};


export const httpUserYearWD = (data: object = {}): ResponseType => {
  return http.request("post", `http://rep.report.caixiao365.com/admin/Everyday/EveryAccountMonth`, { data });
};


export const httpUserDayWD = (data: object = {}): ResponseType => {
  return http.request("post", `http://rep.report.caixiao365.com/admin/Everyday/EveryAccountDay`, { data });
};