import { ContentConfig } from "/@/components/PageContent";
import { createHttpRequset } from "../../../_http/createRequset";

const columns = [
  {
    prop: "apply_name",
    label: "创建人",
    minWidth: "155px"
  },
  {
    prop: "creater_company",
    label: "创建人部门",
    minWidth: "155px"
  },
  {
    prop: "addtime",
    label: "下单时间",
    minWidth: "155px"
  },

  {
    prop: "orderCode",
    label: "订单号",
    minWidth: "155px"
  },
  {
    prop: "first_customer_org",
    label: "一级企业",
    minWidth: "155px"
  },
  {
    prop: "second_customer_org",
    label: "二级企业",
    minWidth: "155px"
  },
  {
    prop: "companyName",
    label: "客户名称",
    minWidth: "155px"
  },
  {
    prop: "good_name",
    label: "产品名称",
    minWidth: "155px"
  },
  {
    prop: "good_num",
    label: "产品数量",
    minWidth: "155px"
  },
  {
    prop: "unit",
    label: "单位",
    minWidth: "155px"
  },
  {
    prop: "sale_price",
    label: "单价",
    minWidth: "155px"
  },
  {
    prop: "total_price",
    label: "金额",
    minWidth: "155px"
  },

  {
    prop: "is_stock",
    label: "是否库存",
    minWidth: "155px"
  },
  {
    prop: "order_type",
    label: "订单来源",
    minWidth: "155px"
  }
];

const contentConfig: ContentConfig = {
  notPagination: true,
  superUserNoAction: false,
  notNeedCompanyFilter: true,
  columns,
  apis: {
    httpList: createHttpRequset("saleexportlist")
  }
};

export default contentConfig;
