function createReport(
  title: string,
  permission_id: number,
  needCompanyPermission = false,
  needFieldPermission = false
) {
  return {
    isOpen: false,
    title, permission_id,
    needCompanyPermission, needFieldPermission,
    companyPermission: [], fieldPermission: []
  }
}

export function createReports() {
  return [
    createReport('业绩报表', 1, true, false),
    createReport('利润看板', 2, true, false),
    createReport('应收账款', 3, false, false),
    createReport('订单情况', 4, false, false),
    createReport('发货情况', 5, false, false),
    createReport('业绩报表(新)', 6, true, true)
  ]
}

export const companies = [
  { value: "GS2302231125079621", label: "北京百辰荣达国际科贸有限公司" },
  { value: "GS2302231323386950", label: "北京泓源广诚国际商贸有限公司" },
  { value: "GS2203161855277894", label: "北京万宇恒通国际科贸有限公司" },
  { value: "GS2304031312553746", label: "北京锦兴弘昌科技有限公司" },
  { value: "GS2302231124114965", label: "北京普润心堂商贸有限公司" }
]
