/* eslint-disable prettier/prettier */
import { ContentConfig } from "/@/components/PageContent";
import apis from "./apis";

const columns = [
  {
    prop: 'addtime',
    label: '竞价时间',
    minWidth: '155px'
  },
  {
    prop: 'companyNo',
    label: '业务公司编码',
    minWidth: '155px'
  },
  {
    prop: 'companyName',
    label: '业务公司名称',
    minWidth: '165px'
  },
  {
    prop: 'bidNo',
    label: '采购反馈单号',
    minWidth: '155px'
  },
  {
    prop: 'zxNo',
    label: '竞价订单号',
    minWidth: '155px'
  },
  {
    prop: 'cbaddtime',
    label: '回复时间',
    minWidth: '155px'
  },
  {
    prop: 'good_name',
    label: '商品名称',
    minWidth: '165px'
  },
  {
    prop: 'supplier',
    label: '供应商名称',
    minWidth: '165px'
  },
  {
    prop: 'total_fee',
    label: '成本合计',
    minWidth: '125px'
  },
  {
    prop: 'delivery_day',
    label: '物流时间（天）',
    minWidth: '115px'
  },
  {
    prop: 'work_day',
    label: '商品工期（天）',
    minWidth: '115px'
  },
  {
    prop: 'expire_day',
    label: '信息有效期（天）',
    minWidth: '125px'
  },
  {
    prop: 'name',
    label: '采购员所属部门',
    minWidth: '150px'
  },
  {
    prop: 'salesman_name',
    label: '业务人员所属部门',
    minWidth: '150px'
  },
  {
    prop: 'creater',
    label: '采购员',
    minWidth: '95px'
  },
  {
    prop: 'num',
    label: '需求数量',
    minWidth: '105px'
  },
  {
    prop: 'arrival_time',
    label: '要求到货日期',
    minWidth: '155px'
  },
  {
    prop: 'salesman',
    label: '业务人员',
    minWidth: '105px'
  },
  {
    prop: 'companyName',
    label: '客户名称',
    minWidth: '195px'
  }
]


const contentConfig: ContentConfig = {
  columns,
  showTitle: false,
  responseCode: 1,
  superUserNoAction: false,
  apis: { httpList: apis.list }
};


export default contentConfig;
