/* eslint-disable prettier/prettier */
import { ContentConfig } from "/@/components/PageContent";
import apis from "./apis";

const columns = [
  {
    type: 'selection',
    fixed: 'left',
    _noset_: true
  },
  {
    prop: 'skuCode',
    label: '商品上线编号',
    minWidth: '155px'
  },
  {
    prop: 'spuCode',
    label: '商品成本编号',
    minWidth: '155px'
  },
  {
    prop: 'plat_code',
    label: '平台商品编码',
    minWidth: '155px'
  },
  {
    prop: 'creater',
    label: '采购维护人',
    minWidth: '100px'
  },
  {
    prop: 'good_name',
    label: '商品名称',
    minWidth: '155px'
  },
  {
    prop: 'brand_name',
    label: '品牌',
    minWidth: '155px'
  },
  {
    prop: 'catinfo',
    label: '分类',
    minWidth: '155px'

  },
  {
    prop: 'companyName',
    label: '业务企业名称',
    minWidth: '155px'
  },
  {
    prop: 'name',
    label: '供应商名称',
    minWidth: '155px'
  },
  {
    prop: 'platform_name',
    label: '上线平台',
    minWidth: '155px'
  },
  {
    prop: 'online_time',
    label: '上线完成时间',
    minWidth: '155px'
  },
  {
    prop: 'exam_status',
    label: '上线状态',
    minWidth: '155px'
  },
  {
    prop: 'is_stock',
    label: '是否库存品',
    minWidth: '155px'
  },
  {
    prop: 'good_type',
    label: '是否定制',
    minWidth: '155px'
  },
  {
    prop: 'specifications',
    label: '规格',
    minWidth: '155px'
  },
  {
    prop: 'unit',
    label: '单位',
    minWidth: '155px'
  },
  {
    prop: 'good_remark',
    label: '商品备注',
    minWidth: '155px'
  },

  {
    prop: 'supply_area',
    label: '供货区域',
    minWidth: '155px'
  },
  {
    prop: 'craft_desc',
    label: '工艺说明',
    minWidth: '155px'
  },
  {
    prop: 'noble_metal',
    label: '贵金属信息',
    minWidth: '155px'
  },
  {
    prop: 'cgd_gold_price',
    label: '供应商采购金价',
    minWidth: '155px'
  },
  {
    prop: 'demo_fee',
    label: '工艺说明',
    minWidth: '155px'
  },
  {
    prop: 'demo_fee',
    label: '打样费',
    minWidth: '155px'
  },
  {
    prop: 'open_fee',
    label: '开模费',
    minWidth: '155px'
  },
  {
    prop: 'sample_fee',
    label: '调样费',
    minWidth: '155px'
  },
  {
    prop: 'tax',
    label: '税点',
    minWidth: '155px'
  },
  {
    prop: 'addtime',
    label: '申请上线时间',
    minWidth: '155px'
  }
]


const contentConfig: ContentConfig = {
  columns,
  showTitle: false,
  responseCode: 1,
  superUserNoAction: false,
  apis: { httpList: apis.list }
};


export default contentConfig;
