/* eslint-disable prettier/prettier */
import { ContentConfig } from "/@/components/PageContent";
import apis from "./apis";

const columns = [
  {
    prop: 'cgdNo',
    label: '采购单编号',
    minWidth: '155px'
  },
  {
    prop: 'addtime',
    label: '创建时间',
    minWidth: '155px'
  },
  {
    prop: 'companyNo',
    label: '业务公司编码',
    minWidth: '155px'
  },
  {
    prop: 'companyName',
    label: '业务公司名称',
    minWidth: '165px'
  },
  {
    prop: 'supplierNo',
    label: '供应商编号',
    minWidth: '155px'
  },
  {
    prop: 'supplier_name',
    label: '供应商名称',
    minWidth: '155px'
  },
  {
    prop: 'good_name',
    label: '商品名称',
    minWidth: '155px'
  },
  {
    prop: 'good_num',
    label: '购买数量',
    minWidth: '110px'
  },
  {
    prop: 'nake_fee',
    label: '裸价',
    minWidth: '100px'
  },
  {
    prop: 'total_fee',
    label: '成本合计',
    minWidth: '110px'
  },
  {
    prop: 'status',
    label: '单据状态',
    minWidth: '155px'
  },
  {
    prop: 'send_status',
    label: '发货状态',
    minWidth: '110px'
  },
  {
    prop: 'wsend_num',
    label: '未发货数量',
    minWidth: '110px'
  },
  {
    prop: 'creater_name',
    label: '创建人所属部门',
    minWidth: '140px'
  },
  {
    prop: 'creater',
    label: '创建人',
    minWidth: '110px'
  },
  {
    prop: 'company',
    label: '客户名称',
    minWidth: '155px'
  },
  {
    prop: 'is_stock',
    label: '商品库存性质',
    minWidth: '110px'
  },
  {
    prop: 'name',
    label: '采购员所属部门',
    minWidth: '150px'
  },
  {
    prop: 'cgder',
    label: '采购员',
    minWidth: '110px'
  },
  {
    prop: 'send_time',
    label: '发货时间',
    minWidth: '155px'
  }
]


const contentConfig: ContentConfig = {
  columns,
  showTitle: false,
  responseCode: 1,
  superUserNoAction: false,
  apis: { httpList: apis.list }
};


export default contentConfig;
