/* eslint-disable prettier/prettier */
import { ContentConfig } from "/@/components/PageContent";
import apis from "./apis";

const columns = [
  {
    prop: 'addtime',
    label: '采购日期',
    minWidth: '155px'
  },
  {
    prop: 'companyNo',
    label: '业务公司编码',
    minWidth: '155px'
  },
  {
    prop: 'companyName',
    label: '业务公司名称',
    minWidth: '165px'
  },
  {
    prop: 'name',
    label: '采购员所属部门',
    minWidth: '150px'
  },
  {
    prop: 'cgder',
    label: '采购员',
    minWidth: '105px'
  },
  {
    prop: 'good_num',
    label: '采购数量',
    minWidth: '155px'
  },
  {
    prop: 'total_fee',
    label: '采购货款',
    minWidth: '155px'
  },
  {
    prop: 'count_num',
    label: '订单数量',
    minWidth: '155px'
  },
  {
    prop: 'wait_good_num',
    label: '待处理采购数量',
    minWidth: '155px'
  },
  {
    prop: 'wait_total_fee',
    label: '待处理采购货款',
    minWidth: '155px'
  }
]


const contentConfig: ContentConfig = {
  columns,
  showTitle: false,
  responseCode: 1,
  superUserNoAction: false,
  apis: { httpList: apis.list }
};


export default contentConfig;
